Subject: 2.1.121 PCI changes

From: Martin Mares <[email-masked]>
Date: Thu, 10 Sep 1998 12:40:31 +0200

Hello,

   I noticed that the ARM patch in 2.1.121 enables PCI_COMMAND_MASTER for all
devices. This should not be needed since all drivers need to handle enabling
the master bit themselves or just call generic pci_setup_master() since other
architectures don't do automatic enabling anyway (once upon a time I tried
to add it to generic code, but this attempt has failed miserably since there
exists broken hardware [usually designed by Sun] which gets totally confused
when someone tries to set its PCI_COMMAND_MASTER bit).

				Have a nice fortnight
-- 
Martin `MJ' Mares   <[email-masked]>   http://atrey.karlin.mff.cuni.cz/~mj/
Faculty of Math and Physics, Charles University, Prague, Czech Rep., Earth
"return(ECRAY); /* Program exited before being run */"
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]